astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_SlantZenithalPerspective

# Pix2Sky_SlantZenithalPerspective

class `astropy.modeling.projections.``Pix2Sky_SlantZenithalPerspective`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Zenithal`

  Slant zenithal perspective projection - pixel to sky.

  Corresponds to the `SZP` projection in FITS WCS.

  Parameters:

  mu : float

  > Distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

  phi0 : float

  > The longitude φ₀ of the reference point, in degrees. Default is 0°.

  theta0 : float

  > The latitude θ₀ of the reference point, in degrees. Default is 90°.

  Attributes Summary

  `mu` |
  `param_names` |
  `phi0` |
  `theta0` |

  Methods Summary

  `check_mu`(*args, **kwargs) | Deprecated since version 1.1.
  `evaluate`(x, y, mu, phi0, theta0) |

  Attributes Documentation

  `mu`
  `param_names` = ('mu', 'phi0', 'theta0')
  `phi0`
  `theta0`

  Methods Documentation

  `check_mu`(*args, **kwargs)

    Deprecated since version 1.1: this method was never intended as part of the public API and will be removed; if you do need its functionality use model.mu.validator(val)

  classmethod `evaluate`(x, y, mu, phi0, theta0)